using System;
using System.Collections;

namespace MDIApp.Syntax
{
    /// <summary>
    /// 
    /// </summary>
    public class BlockList : ArrayList, ICloneable
    {
        public BlockList() : base() {}

        public new Block this[int index] 
        {
            get
            {
                return (Block)base[index];
            }
            set
            {
                base[index] = value;
            }
        }

        public override string ToString()
        {
            string result = "";
            foreach(Block block in this)
                result += block.Begin.ToString() + "-" + block.End.ToString() + "; ";
            return result;
        }
    }
}
